'use strict';
/**
 * 开发环境相关配置
 *
 * @author CaiAoLin
 * @date 2017/8/29
 * @version
 */

module.exports = appInfo => {
    const config = {};
    // 数据库配置
    config.mysql = {
        client: {
            // host
            host: '127.0.0.1',
            // 端口号
            port: '3306',
            // 用户名
            user: 'root',
            // 密码
            password: 'root',
            // 数据库名
            database: 'calculation',
        },
        // 是否加载到 app 上，默认开启
        app: true,
        // 是否加载到 agent 上，默认关闭
        agent: false,
    };
    // 表名前缀
    config.tablePrefix = 'zh_';

    // redis设置
    config.redis = {
        client: {
            host: '127.0.0.1',
            port: '6379',
            password: 'test',
            db: '0',
        },
        agent: true,
    };

    // geetest验证码key
    config.geetest = {
        id: '23c50f6711966f744c93a70167c8e0a4',
        key: '9b67989994f9def437ea68bb495f0162',
    };

    config.jsValidator = {
        client: {},
        app: true,
    };
    return config;
};
