'use strict';

/**
 * 前台菜单配置
 *
 * @author CaiAoLin
 * @date 2017/11/29
 * @version
 */

const menu = {
    dashboard: {
        name: '待办事项',
        icon: 'fa-dashboard',
        display: true,
        url: '/dashboard',
        children: null,
    },
    tender: {
        name: '标段管理',
        icon: 'fa-list-ul',
        display: true,
        url: '/tender',
        children: null,
    },
    project: {
        name: '项目设置',
        icon: null,
        display: false,
        children: {
            info: {
                name: '项目信息',
                url: '/project/info',
            },
            account: {
                name: '账号设置',
                url: '/project/account',
            },
            approvalSetting: {
                name: '审批设置',
                url: '/project/approval',
            },
        },
    },
    ledger: {
        name: '台帐管理',
        icon: 'fa-list-alt',
        display: true,
        url: '',
        children: {
            explode: {
                name: '台账分解',
                url: '/ledger/explode',
            },
            change: {
                name: '台账变更',
                url: '/ledger/change',
            },
            index: {
                name: '计量台账',
                url: '/ledger/index',
            },
        },
    },
    measure: {
        name: '计量管理',
        icon: 'fa-calendar-check-o',
        display: true,
        url: '',
        children: {
            middle: {
                name: '中间计量',
                url: '/measure/middle',
            },
            stage: {
                name: '期计量',
                url: '/measure/stage',
            },
        },
    },
    change: {
        name: '变更管理',
        icon: 'fa-retweet',
        display: true,
        children: null,
        url: '/change',
    },
    contract: {
        name: '合同管理',
        icon: 'fa-handshake-o',
        display: true,
        children: null,
        url: '/contract',
    },
    profile: {
        name: '账号相关',
        icon: '',
        display: false,
        children: {
            info: {
                name: '账号资料',
                url: '/profile/info',
            },
            safe: {
                name: '账号安全',
                url: '/profile/safe',
            },
            guide: {
                name: '新手指引',
                url: '/profile/guide',
            },
            help: {
                name: '帮助中心',
                url: '/profile/help',
            },
        },
        url: '/profile',
    },
};

module.exports = menu;
